[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[Subclipse-users] Problem: Eclipse falsely complains about "missing required library"

From: Andreas Wundsam <l-subclipse-users_at_wundsam.net>
Date: 2006-12-29 20:27:51 CET

Hi all,

I'm having a problem here when checking out a project that contains 3rd
party resources as attached libraries with subclipse - after the
checkout, eclipse nondeterministically complains that libraries are
missing - but the libraries are present in their directories (and have
the correct md5 sum).

The message looks like this:
"the Project libICE is missing required library:
'export/aaa_prepend_libice_patch.jar'"

I have tried to refresh the directory structure, and clean/rebuild all
projects - but could not get rid of the problem. The only thing that
helped was to delete the association project->jar and reassign it.

We have been using cvs until recently - the problem never surfaced
there. Given the fact that the problem does not appear on every
checkout, I suspect that it's a race condition between subclipse telling
eclipse "that resource has changed" and the resource being written to disk.

Has anyone experienced similar problems? Any workarounds that could
solve the issue (apart from having to reassign the libraries every time
we check out a project?)

thanks in advance

Andi Wundsam

Eclipse: 3.2.0, Subclipse 1.1.9, Linux 2.6.18 SMP

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subclipse.tigris.org
For additional commands, e-mail: users-help@subclipse.tigris.org
Received on Fri Dec 29 20:42:06 2006

This is an archived mail posted to the Subclipse Users mailing list.